Re: [T(A)ILS-dev] About bridges support

Delete this message

Reply to this message
Author: anonym
Date:  
To: The T(A)ILS public development discussion list
Subject: Re: [T(A)ILS-dev] About bridges support
03/02/11 19:55, intrigeri:
> anonym wrote (03 Feb 2011 16:07:52 GMT) :
>>> The only alternative workaround I can think of is to add
>>> "UseBridges 1" and a bogus bridge (e.g. "Bridge 127.0.0.1:12345")
>>> to torrc which will prevent the Tor client from connecting to the
>>> Tor network until the user adds a proper bridge through vidalia.
>>> This seems to work fine, but users might get confused when they see
>>> that strange bridge turn up in vidalia.
>
>> As implied, I've tested this. No leaks seem to happen with restart
>> of Tor so I guess it's good. Also, adding a bridge seems to make Tor
>> bootstrap quickly, so the bogus mirror doesn't seem to interfere.
>
> He he, I had implemented this a few days ago, but had had no time to
> commit and push it.
>
> My implementation is meant to be a preliminary one that can be used as
> a basis for further work. At least it should allow those who do know
> at least one existing bridge address to use it by:
>
>   - passing the "bridge" option on the kernel command line
>   - using Vidalia to replace the buggy 127.0.0.1 bridge with known
>     working ones... or just adding bridges to the list.


In fact, leaving the bogus bridge will do no harm (it's just as listing
disconnected bridges), but yeah, it's ugly (and possibly confusing to
the end user) to have it listed. That's the only drawback I can come up
with for the bogus bridge workaround compared to the proper approach
(i.e. if Tor bug #2355 is fixed).

03/02/11 19:58, intrigeri:
>> He he, I had implemented this a few days ago, but had had no time to
>> commit and push it.
>
> oops, I forgot to make it clear: see commits 205da40c6..fcd20468 in
> the devel branch.


Clearing Tor's data dir will induce hefty amounts of directory fetches
unnecessarily. I'd suggest reverting that commit and doing something
like the attached patch instead.

Not pushing it myself as I first want to hear comments, and in case I've
left something out.

Cheers!
--- /dev/null
+++ b/config/chroot_local-includes/lib/live/config/204-bridge
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+TORRC=/etc/tor/torrc
+
+append_to_torrc () {
+       echo "$1" >> "$TORRC"
+}
+
+AddBuggyBridgeSettings ()
+{
+       grep -qw bridge /proc/cmdline || return 0
+
+       append_to_torrc ''
+       append_to_torrc '# Enforce use of bridges. UseBridges enabled requires at least one bridge (otherwise Tor refuses to start) so for now a harmless bogus bridge is added until Tor bug #2355 is implemented (if ever)
+       append_to_torrc 'UseBridges 1' 
+       append_to_torrc 'Bridge 127.0.0.1:7777'
+}
+
+AddBuggyBridgeSettings
+